Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.management
Class LocalPortletManagement

    java.lang.Object
      org.jboss.portal.portlet.management.LocalPortletManagement

All Implemented Interfaces:
  LocalPortletManagementMBean

    public class LocalPortletManagement

extends java.lang.Object
implements LocalPortletManagementMBean

Version:
  $Revision$
Author:
  Thomas Heute

Constructor Summary
`LocalPortletManagement(Portlet portlet, PortletContainerManagementInterceptor interceptor)`

Method Summary
`long` | `getActionErrorCount()`
`long` | `getActionRequestCount()`
`float` | `getAverageActionTime()`
`float` | `getAverageRenderTime()`
`java.lang.String` | `getId()`
`long` | `getMaxActionTime()`
`long` | `getMaxRenderTime()`
`long` | `getRenderErrorCount()`
`long` | `getRenderRequestCount()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPortletManagement

    public LocalPortletManagement(Portlet portlet,
                                  PortletContainerManagementInterceptor interceptor)

Method Detail

### getId

    public java.lang.String getId()

### getAverageRenderTime

    public float getAverageRenderTime()

  Specified by:
    `getAverageRenderTime` in interface `LocalPortletManagementMBean`

### getAverageActionTime

    public float getAverageActionTime()

  Specified by:
    `getAverageActionTime` in interface `LocalPortletManagementMBean`

### getMaxRenderTime

    public long getMaxRenderTime()

  Specified by:
    `getMaxRenderTime` in interface `LocalPortletManagementMBean`

### getMaxActionTime

    public long getMaxActionTime()

  Specified by:
    `getMaxActionTime` in interface `LocalPortletManagementMBean`

### getRenderRequestCount

    public long getRenderRequestCount()

  Specified by:
    `getRenderRequestCount` in interface `LocalPortletManagementMBean`

### getActionRequestCount

    public long getActionRequestCount()

  Specified by:
    `getActionRequestCount` in interface `LocalPortletManagementMBean`

### getActionErrorCount

    public long getActionErrorCount()

  Specified by:
    `getActionErrorCount` in interface `LocalPortletManagementMBean`

### getRenderErrorCount

    public long getRenderErrorCount()

  Specified by:
    `getRenderErrorCount` in interface `LocalPortletManagementMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.